Skip to main content
GET
/
api
/
knowledge
/
products
List Products
curl --request GET \
  --url https://{tenant}.app.big-panda.ai/api/knowledge/products \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "tenant_id": "<string>",
    "site_id": "<string>",
    "external_id": "<string>",
    "title": "<string>",
    "description": "<string>",
    "short_description": "<string>",
    "sku": "<string>",
    "gtin": "<string>",
    "brand": "<string>",
    "category": "<string>",
    "attributes": {},
    "properties": {},
    "price_current": "<string>",
    "price_msrp": "<string>",
    "price_special": "<string>",
    "price_on_request": true,
    "currency": "<string>",
    "image_url": "<string>",
    "additional_images": [
      "<unknown>"
    ],
    "product_url": "<string>",
    "availability": "<string>",
    "rating_average": "<string>",
    "rating_count": 123,
    "language": "<string>",
    "translation_group_id": "<string>",
    "parent_product_id": "<string>",
    "is_variant": true,
    "is_parent": true,
    "source": "<string>",
    "sync_hash": "<string>",
    "last_synced_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "search_keywords": [
      "<string>"
    ],
    "has_similarity_anchor": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.big-panda.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API-Token aus dem Big-Panda-Admin-UI unter Einstellungen → API-Keys. Header: Authorization: Bearer <token>.

Query Parameters

site_id
string | null

Filter by site (UUID or slug)

language
string | null

Filter by language

category
string | null

Filter by category

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

id
string
required
tenant_id
string
required
site_id
string
required
external_id
string | null
required
title
string
required
description
string | null
required
short_description
string | null
required
sku
string | null
required
gtin
string | null
required
brand
string | null
required
category
string | null
required
attributes
Attributes · object
required
properties
Properties · object
required
price_current
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price_msrp
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price_special
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price_on_request
boolean
required
currency
string
required
image_url
string | null
required
additional_images
any[]
required
product_url
string | null
required
availability
string | null
required
rating_average
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
rating_count
integer
required
language
string
required
translation_group_id
string | null
required
parent_product_id
string | null
required
is_variant
boolean
required
is_parent
boolean
required
source
string
required
sync_hash
string | null
required
last_synced_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
search_keywords
string[]
has_similarity_anchor
boolean
default:false